package com.yc.education.controller;

import com.yc.education.model.NewsType;
import com.yc.education.service.ICaseTypeService;
import com.yc.education.service.INewsTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * 前台  联系我们
 * @author Hickey
 * @create 2019-07-26 15:45
 */
@Controller
public class ContactController {

    @Autowired
    private INewsTypeService iNewsTypeService;

    @RequestMapping("contact.html")
    public ModelAndView showContact(){

        ModelAndView  mav = new ModelAndView();

        NewsType findId =  iNewsTypeService.listIdByWeight();//查询类别中权重最大的类别id,传给新闻中心界面
        mav.addObject("findId",findId);

        return  mav;
    }
}
